Name:           em8300
Version:        0.16.4
Release:        1%{?dist}
Summary:        DXR3/Hollywood Plus MPEG decoder card support tools

Group:          Applications/System
License:        GPLv2+
URL:            http://dxr3.sourceforge.net/
Source0:        http://downloads.sourceforge.net/dxr3/%{name}-nofirmware-%{version}.tar.gz
Source1:        %{name}.console.perms
Source2:        http://cachalot.mine.nu/src/dxr3/em8300-README-modprobe.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
#Requires:       em8300-kmod >= %{version}
Requires:       udev
Requires:       %{_sysconfdir}/alsa/cards
Requires:       %{_sysconfdir}/security/console.perms.d
Requires(pre):  shadow-utils
Provides:       em8300-kmod-common = %{version}-%{release}

%description
%{summary}.

%package        utils
Summary:        GUI utilities for DXR3/Hollywood plus MPEG decoder cards
Group:          User Interface/X Hardware Support
Requires:       %{name} = %{version}-%{release}

%description    utils
%{summary}.

%package        devel
Summary:        Development files for DXR3/Hollywood Plus MPEG decoder cards
Group:          Development/Libraries
# Does not require main package on purpose: #189400
Requires:       kernel-headers

%description    devel
%{summary}.


%prep
%setup -q
install -pm 644 %{SOURCE2} README-modprobe.conf
echo "Icon=redhat-sound_video" >> overlay/dxr3view.desktop
sed -i -e 's/microcode_extract.pl/em8300-mc_ex/' scripts/microcode_extract.pl


%build
%configure --disable-dependency-tracking --with-alsa-dir=%{_sysconfdir}/alsa
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

for f in */*.desktop ; do
  desktop-file-install --vendor=fedora --mode=644 \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications $f
done
install -Dpm 644 dhc/dhc.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/dhc.xpm

install -Dpm 644 modules/em8300-udev.rules \
  $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-%{name}.rules

install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/60-%{name}.perms

mv $RPM_BUILD_ROOT%{_datadir}/em8300/microcode_extract.pl \
  $RPM_BUILD_ROOT%{_bindir}/em8300-mc_ex


%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group video >/dev/null || groupadd -r video || :

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
:

%postun
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
:


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README* modules/README-modoptions
%config(noreplace) %{_sysconfdir}/security/console.perms.d/*-%{name}.perms
%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
%config(noreplace) %{_sysconfdir}/alsa/cards/EM8300.conf
%{_bindir}/em8300setup
%{_mandir}/man1/em8300setup.1*

%files utils
%defattr(-,root,root,-)
%doc overlay/configs/
%{_bindir}/autocal
%{_bindir}/dhc
%{_bindir}/dxr3view
%{_bindir}/em8300-mc_ex
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/dhc.xpm

%files devel
%defattr(-,root,root,-)
%{_includedir}/linux/em8300.h
%{_datadir}/em8300/


%changelog
* Tue Feb  5 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.16.4-1
- 0.16.4.
- Drop WSS patch, it no longer applies.
- Prune pre-0.16.0 changelog entries.

* Wed Nov 21 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.3-2
- Drop dependency on em8300-kmod.

* Sat Aug 18 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.3-1
- 0.16.3.

* Fri Aug 10 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.3-0.1.rc3
- 0.16.3-rc3.
- License: GPLv2+

* Fri Jul 20 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.3-0.1.rc2
- 0.16.3-rc2.

* Wed Jul 11 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.3-0.1.rc1
- 0.16.3-rc1, fixes #241041.
- Update icon cache and group handling to current guidelines/drafts.

* Mon May  7 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.2-1
- 0.16.2.

* Wed Apr  4 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.2-0.1.rc1
- 0.16.2-rc1.
- Update examples in README-modprobe.conf.

* Thu Mar  1 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.1-1
- 0.16.1.

* Sat Feb 24 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.1-0.1.rc2
- 0.16.1-rc2.

* Tue Dec 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.16.0-3
- Ship console.perms.d snippet uncommented (#206700 fixed).

* Fri Dec 22 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.16.0-2
- Eliminate some file based dependencies.

* Sun Nov 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.16.0-1
- 0.16.0.
- Drop X-Fedora category from desktop entries.
